<div class="row book-detail" ng-controller="book.BOOKDetailCtrl as bookDetailCtrl">
    <div class="col-xs-12">
        <ol class="breadcrumb">
            <li><a ui-sref="book.list">预订管理</a></li>
            <li class="active ng-binding">出行计划</li>
        </ol>
    </div>
    <div class="col-xs-12 col-md-4 col-lg-4">
        <section class="panel">
            <header class="panel-heading">
                <div class="pull-right text-muted">
                    <span go-countdown seconds="vm.detail.countdown" ng-hide="vm.detail.countdown/60 > 2000 || vm.detail.countdown == 0 || vm.detail.orderStatus == '3'" ng-hide="vm.detail.caseNumber"></span>
                    <span ng-if="!vm.detail.countdown && vm.detail.orderStatus != '3' && !vm.detail.caseNumber">提交已超过{{vm.detail.description.deadlineText}}</span>
                    <span ng-if="vm.detail.orderStatus == '3' " >已取消</span>
                </div>
                <h3 class="h5 mt0 mb0">{{vm.detail.code}}</h3>
            </header>
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-6 text-center">
                        <p class="badge bg-primary">{{vm.detail.tcNumber}}</p>
                        <p>接单服务商</p>
                    </div>
                    <div class="col-md-6 text-center">
                        <p class="badge bg-success">{{vm.detail.caseNumber}}</p>
                        <p>出行方案</p>
                    </div>
                </div>
                <div class="text-center mt10 mb20" ng-if="vm.detail.orderStatus != '3' " >
                    <button class="btn btn-default" style="color: #333;" ng-click="methods.cancel()">取消出行计划</button>
                </div>
            </div>
            <div class="panel-body">
                <div class="header-panel content-word-break">
                    <div class="preview-info">
                        <p class="item">出差人数：<strong>{{ vm.detail.description.followersCount }}</strong>人</p>
                        <p class="item amount">总<span style="margin:0 8px;">预</span>算：<strong ng-if="!!vm.detail.description.budget">¥{{ vm.detail.description.budget  | price }}</strong><span ng-if="!!!vm.detail.description.budget">无</span></p>
                        <p class="item" ng-if="vm.detail.description.isNeedInvoice">需要开发票</p>
                        <p class="item" ng-if="!vm.detail.description.isNeedInvoice">不需要开发票</p>
                        <hr>
                        <div class="item mb20 main-content" style="border-bottom: none;word-break: break-word;">
                            <div ng-repeat="plan in vm.detail.description.plans track by $index" class="mb20">
                                <div ng-if="plan.type == vm.planType.plane">
                                    <p class="mb5">
                                        <strong class="mr5">{{ plan.travelTime | date: "yyyy-MM-dd"}}</strong>
                                        <strong class="mr5">{{ plan.fromName }}</strong><strong>→</strong><strong class="ml5">{{ plan.toName }}，</strong>
                                        <span ng-if="plan.departAt">{{ plan.departAt }}~{{ plan.arriveAt }}起飞</span>
                                        <span ng-if="!plan.departAt">起飞时间不限</span>
                                        <span ng-if="plan.cabin !='不限'">，{{ plan.cabin }}。</span>
                                        <span ng-if="plan.cabin == '不限'">。</span>
                                    </p>
                                    <p class="desc"><span ng-if="plan.tags">{{ plan.tags.join('、') }}。</span><span ng-if="!!plan.tags"><br/></span><span style="white-space: pre-wrap;">{{ plan.otherDemand }}</span></p>
                                </div>
                                <div ng-if="plan.type == vm.planType.hotel">
                                    <p class="mb5">
                                        <strong class="mr5">{{ plan.checkIn | date: "yyyy-MM-dd" }}</strong>~<strong class="ml5">{{ plan.checkOut | date: "yyyy-MM-dd"}}</strong>
                                        <strong class="mr5 ml5">{{ plan.cityName }}</strong><span>{{ plan.destination }}，</span>
                                        <span ng-if="plan.level && plan.level != '不限'"><strong>{{ plan.level }}</strong>酒店，</span>
                                        <span><strong>{{ plan.count }}</strong>间房</span>
                                        <span ng-if="plan.price > 0">，单价不高于<strong>{{ plan.price }}</strong>元。</span>
                                        <span ng-if="plan.price <= 0">。</span>
                                    </p>
                                    <p class="desc"><span ng-if="plan.tags">{{ plan.tags.join('、') }}。</span><span ng-if="!!plan.tags"><br/></span><span style="white-space: pre-wrap;">{{ plan.otherDemand }}</span></p>
                                </div>
                            </div>
                            <p class="other">{{ vm.detail.description.other }}</p>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>
    <div class="col-xs-12 col-md-8 col-lg-8">
        <section class="panel chat">
            <div class="header">
                <textarea class="form-control" name="" id="" cols="30" rows="10" ng-model="vm.comment"></textarea>
                <button ng-click="methods.postComment(vm.comment)"><i class="arrow fa fa-edit" style="font-size: 28px;"></i><span>马上发表</span></button>
            </div>
            <div class="chat-wrap">
                <ul>
                    <li class="chat-item" ng-repeat="discuss in vm.discussList track by $index" ng-class="{'has-child': discuss.replies &&  discuss.replies.length}" data-id="{{discuss.id}}">
                        <div class="parent">
                            <div class="main-info" ng-class="{'new': discuss.isNew}">
                                <img class="avatar" ng-src="{{discuss.discusser.avatar || './res/company-default-logo.png'}}">
                                <div class="msg-wrap">
                                    <p>
                                        <span class="name">{{discuss.discusser.userName}}</span>
                                        <span class="company-name">{{discuss.discusser.companyName}}</span>
                                        <span class="time">{{discuss.time}} 发表</span>
                                    </p>
                                    <p class="msg">{{discuss.comment}}</p>
                                </div>
                            </div>
                            <div class="others">
                                <button class="btn btn-default" id="btn{{$index}}" ng-click="methods.showReplyBox.triggle($event)">回复</button>
                            </div>
                            <div class="reply">
                            </div>
                        </div>
                        <ul class="sub" ng-if="discuss.replies &&  discuss.replies.length">
                            <li class="chat-item" ng-repeat="reply in discuss.replies track by $index">
                                <div class="main-info" ng-class="{'new': reply.isNew}">
                                    <img class="avatar" ng-src="{{reply.discusser.avatar  || './res/company-default-logo.png'}}">
                                    <div class="msg-wrap">
                                        <p>
                                            <span class="name">{{reply.discusser.userName}}</span>
                                            <span class="company-name">{{reply.discusser.companyName}}</span>
                                            <span class="time">{{reply.time}} 发表</span>
                                        </p>
                                        <p class="msg">{{reply.comment}}</p>
                                    </div>
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
            </div>
        </section>
    </div>
</div>
<!-- bigRender 小实践 -->
<div style="display:none;" id="replay-box">
    <textarea class="form-control" cols="30" rows="10" ng-model="vm.replyComment"></textarea>
        <div class="re-footer">
            <button class="btn btn-default fr" ng-click="methods.postComment(vm.replyComment, vm.discussId, $event)">马上发表</button>
        </div>
    </div>
